
Packaging - Bug #8114

Package foreman_graphite plugin

10/27/2014 10:36 AM - Dominic Cleal

Status: Resolved   

Priority: Normal   

Assignee: Dominic Cleal   

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The foreman_graphite plugin should be packaged for both deb and RPM distros.

https://github.com/theforeman/foreman_graphite

History

#1 - 10/27/2014 10:39 AM - Dominic Cleal

Leaving this ticket open to remind me of its status.  We're currently blocked on resolution of https://github.com/eranb/zscheduler/issues/1

zscheduler is a dep of graphite-api, which is a dep of foreman_graphite, and it doesn't have a licence specified, so technically, we're not able to

distribute it.

https://github.com/domcleal/foreman-packaging/commits/rpm/develop-graphite has working commits for the RPMS, just needs the zscheduler

package updating once fixed.  debs should be trivial, they just need the dep tree adding.

#2 - 10/28/2014 04:40 AM - Dominic Cleal

- Status changed from Assigned to Resolved

Never mind, got fixed very quickly!

https://github.com/theforeman/foreman-packaging/pull/411
